:
if [ $# -ne 2 ] ; then
  echo "$0 sanl igb"
  echo "  converts sigmal files to isentropic grib file"
  exit 8
fi

sanl=$1
igb=$2
set -x

# grib process number
IGEN=180

ulimit -s 38000

ln -sf $sanl   fort.11
ln -sf $igb    fort.51


cat <<EOF >igb.parm
 &NAMIGB ICEN=7,ICEN2=1,IGEN=$IGEN,
 /
EOF
./igb.x <igb.parm
echo "err=$?"
[ $? -ne 0 ] && exit 8
echo "converted $sanl -> $igb"
exit 0
